org.apache.hc.client5.http.auth

## Class NTCredentials

- java.lang.Object
- - org.apache.hc.client5.http.auth.NTCredentials

- All Implemented Interfaces:
    Serializable, Credentials

  Deprecated.
  Do not use. the NTLM authentication scheme is no longer supported. Consider using Basic or Bearer authentication with TLS instead.

      @Deprecated
       @Contract(threading=IMMUTABLE)
      public class NTCredentials
      extends Object
      implements Credentials, Serializable

  Microsoft Windows specific `Credentials` representation that includes Windows specific attributes such as name of the domain the user belongs to.
  Since:
    4.0
  See Also:
    `UsernamePasswordCredentials`, `BearerToken`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NTCredentials(char[] password, String userName, String domain, String netbiosDomain)` Deprecated. Constructor to create an instance of NTCredentials.
    `NTCredentials(String userName, char[] password, String workstation, String domain)` Deprecated. Constructor.
    `NTCredentials(String userName, char[] password, String workstation, String domain, String netbiosDomain)` Deprecated. Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Deprecated.
    `String` | `getDomain()` Deprecated. Retrieves the name to authenticate with.
    `String` | `getNetbiosDomain()` Deprecated. Retrieves the netbios domain to authenticate with.
    `char[]` | `getPassword()` Deprecated.
    `String` | `getUserName()` Deprecated.
    `Principal` | `getUserPrincipal()` Deprecated.
    `String` | `getWorkstation()` Deprecated. Retrieves the netbios workstation name of the computer originating the request.
    `int` | `hashCode()` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NTCredentials

          public NTCredentials(String userName,
                               char[] password,
                               String workstation,
                               String domain)

      Deprecated.
      Constructor.
      Parameters:
        `userName` - The user name. This should not include the domain to authenticate with. For example: "user" is correct whereas "DOMAIN\user" is not.
        `password` - The password.
        `workstation` - The workstation the authentication request is originating from. Essentially, the computer name for this machine.
        `domain` - The domain to authenticate within.

    - #### NTCredentials

          public NTCredentials(String userName,
                               char[] password,
                               String workstation,
                               String domain,
                               String netbiosDomain)

      Deprecated.
      Constructor.
      Parameters:
        `userName` - The user name. This should not include the domain to authenticate with. For example: "user" is correct whereas "DOMAIN\user" is not.
        `password` - The password.
        `workstation` - The netbios workstation name that the authentication request is originating from. Essentially, the computer name for this machine.
        `domain` - The domain to authenticate within.
        `netbiosDomain` - The netbios version of the domain name.

    - #### NTCredentials

          public NTCredentials(char[] password,
                               String userName,
                               String domain,
                               String netbiosDomain)

      Deprecated.
      Constructor to create an instance of NTCredentials.
      Parameters:
        `password` - The password to use for authentication. Must not be null.
        `userName` - The user name for authentication. This should not include the domain to authenticate with. For example: "user" is correct whereas "DOMAIN\user" is not. Must not be null.
        `domain` - The domain to authenticate within. Can be null.
        `netbiosDomain` - An alternative representation of the domain name in NetBIOS format. Can be null. This parameter is provided to accommodate specific scenarios that require the NetBIOS version of the domain name.

        This constructor creates a new instance of NTCredentials, determining the workstation name at runtime using the `getWorkstationName()` method. The workstation name will be converted to uppercase using the `Locale.ROOT` locale.

  - ### Method Detail

    - #### getUserPrincipal

          public Principal getUserPrincipal()

      Deprecated.
      Specified by:
        `getUserPrincipal` in interface `Credentials`

    - #### getUserName

          public String getUserName()

      Deprecated.

    - #### getPassword

          public char[] getPassword()

      Deprecated.
      Specified by:
        `getPassword` in interface `Credentials`

    - #### getDomain

          public String getDomain()

      Deprecated.
      Retrieves the name to authenticate with.
      Returns:
        String the domain these credentials are intended to authenticate with.

    - #### getNetbiosDomain

          public String getNetbiosDomain()

      Deprecated.
      Retrieves the netbios domain to authenticate with.
      Returns:
        String the netbios domain name.

    - #### getWorkstation

          public String getWorkstation()

      Deprecated.
      Retrieves the netbios workstation name of the computer originating the request.
      Returns:
        String the netbios workstation the user is logged into.

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.